telemetry.internal.util.global_hooks | index telemetry/internal/util/global_hooks.py

`Hooks that apply globally to all scripts that import or use Telemetry.`

Modules
`` |  |
telemetry.internal.util.exception_formatter | signal | sys |

Functions
`` |  | InstallHooks() InstallStackDumpOnSigusr1() `Catch SIGUSR1 and print a stack trace.` InstallTerminationHook() `Catch SIGTERM, print a stack trace, and exit.` InstallUnhandledExceptionFormatter() `Print prettier exceptions that also contain the stack frame's locals.`